Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pokersource.enumerate
Class HoldemUniversalGroup

    java.lang.Object
      org.pokersource.enumerate.BaseHandGroup
          org.pokersource.enumerate.HoldemUniversalGroup

All Implemented Interfaces:
  java.lang.Comparable, HandGroup, HoldemHandGroup

    public class HoldemUniversalGroup

extends BaseHandGroup
implements HoldemHandGroup

A holdem hand group representing every possible starting Holdem hand.

Author:
  Michael Maurer <mjmaurer@yahoo.com>

Field Summary

Fields inherited from class org.pokersource.enumerate.BaseHandGroup
`myhands, myspec`

Constructor Summary
`HoldemUniversalGroup(java.lang.String groupSpec)` Return a group containing all possible holdem hands

Method Summary
`private void` | `addAtomic(int rank1, int suit1, int rank2, int suit2)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.pokersource.enumerate.BaseHandGroup
`compareTo, getGroupSpec, getHands, getHandSet, isHandInGroup, numHands, toString, toStringAtomic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pokersource.enumerate.HandGroup
`getGroupSpec, getHands, getHandSet, isHandInGroup, numHands, toString, toStringAtomic`

Constructor Detail

### HoldemUniversalGroup

    public HoldemUniversalGroup(java.lang.String groupSpec)

  Return a group containing all possible holdem hands

  Parameters:
    `groupSpec` - Must have value ""

Method Detail

### addAtomic

    private void addAtomic(int rank1,
                           int suit1,
                           int rank2,
                           int suit2)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD